//Initialization of GeniE Database Units
GenieRules.Units.setDatabaseUnits("m", "N", "delC");

//Initialization of GeniE Input Units
GenieRules.Units.setInputUnit(Length, "m");
GenieRules.Units.setInputUnit(Force, "N");
GenieRules.Units.setInputUnit(TempDiff, "delC");

//Turn Tolerant Modelling on
GenieRules.Tolerances.useTolerantModelling = true;
GenieRules.Tolerances.angleTolerance = 2 deg;
GenieRules.Meshing.autoSimplifyTopology = true;
GenieRules.Meshing.eliminateInternalEdges = true;
GenieRules.BeamCreation.DefaultCurveOffset = ReparameterizedBeamCurveOffset();

//Set Superelement Number
GenieRules.Meshing.superElementType = 1;
