// HydroD D5.3-01 started 2021-05-19 15:31:40 
//
Workspace.AccelerationUnit = "m/s^2";
Workspace.AngleUnit = "deg";
Workspace.AreaUnit = "m^2";
Workspace.DensityUnit = "kg/m^3";
Workspace.Description = null;
Workspace.ForceUnit = "N";
Workspace.FractionUnit = "%";
Workspace.FrequencyUnit = "rad/s";
Workspace.KinematicViscosityUnit = "m^2/s";
Workspace.LengthAngleUnit = "m*rad";
Workspace.LengthUnit = "m";
Workspace.MassLengthUnit = "kg*m";
Workspace.MassMomentOfInertiaUnit = "kg*m^2";
Workspace.MassUnit = "kg";
Workspace.MomentAngleUnit = "N*m*rad";
Workspace.MomentUnit = "N*m";
Workspace.NumberOfDigits = 5;
Workspace.PressureUnit = "Pa";
Workspace.ShowScientificNotationGreaterThanOrEqualTo = 100000;
Workspace.ShowScientificNotationLessThan = 0.1;
Workspace.TimeUnit = "s";
Workspace.VelocityUnit = "m/s";
Workspace.VolumeUnit = "m^3";
Workspace.WaveSpectralDensityUnit = "m^2*s";
//
Workspace = Reference("/Workspace");
Environment = new EnvironmentFolder(Workspace, "Environment");
Environment.Description = null;
//
Workspace = Reference("/Workspace");
Properties = new CompartmentPropertiesFolder(Workspace, "Properties");
Properties.Description = null;
//
Workspace = Reference("/Workspace");
StabilityProperties = new StabilityPropertiesFolder(Workspace, "StabilityProperties");
StabilityProperties.Description = null;
//
Workspace = Reference("/Workspace");
Models = new ModelsFolder(Workspace, "Models");
Models.Description = null;
//
Workspace = Reference("/Workspace");
HydroModels = new HydroModelsFolder(Workspace, "HydroModels");
HydroModels.Description = null;
//
Workspace = Reference("/Workspace");
Rules = new RulesFolder(Workspace, "Rules");
Rules.Description = null;
//
Workspace = Reference("/Workspace");
Analyses = new AnalysesFolder(Workspace, "Analyses");
Analyses.Description = null;
//
Workspace = Reference("/Workspace");
Plots = new PlotsFolder(Workspace, "Plots");
Plots.Description = null;
//
Workspace = Reference("/Workspace");
Tables = new TablesFolder(Workspace, "Tables");
Tables.Description = null;
//
Workspace = Reference("/Workspace");
Pictures = new PicturesFolder(Workspace, "Pictures");
Pictures.Description = null;
//
Workspace = Reference("/Workspace");
Reports = new ReportsFolder(Workspace, "Reports");
Reports.Description = null;
//
Workspace = Reference("/Workspace");
ViewSettings = new ViewSettingsFolder(Workspace, "ViewSettings");
ViewSettings.Description = null;
//
ViewSettings = Reference("/Workspace/ViewSettings");
ViewSetting1 = new ViewSetting(ViewSettings, "ViewSetting1");
ViewSetting1.BackgroundBottomColor = Color.FromArgb(255, 0, 0, 0);
ViewSetting1.BackgroundColor = Color.FromArgb(255, 0, 0, 0);
ViewSetting1.BackgroundGradient = false;
ViewSetting1.BackgroundTopColor = Color.FromArgb(255, 169, 169, 169);
ViewSetting1.BillboardLabelDepthOffset = 0 m;
ViewSetting1.BillboardLabelHeight = 10;
ViewSetting1.CameraPosition = new Position3D(240 m, -120 m, 80 m);
ViewSetting1.CameraType = CameraType.Perspective;
ViewSetting1.CoordinateSystemLabelBackground = Color.FromArgb(0, 0, 0, 1);
ViewSetting1.CoordinateSystemLabelColor = Color.FromArgb(0, 0, 0, 1);
ViewSetting1.Description = null;
ViewSetting1.FarPlaneDistance = 1000000 m;
ViewSetting1.FieldOfView = 45 deg;
ViewSetting1.GridColor = Color.FromArgb(0, 0, 0, 1);
ViewSetting1.GridLength = 100 m;
ViewSetting1.GridMajorInterval = 10 m;
ViewSetting1.GridMinorInterval = 1 m;
ViewSetting1.GridThickness = 0.04 m;
ViewSetting1.GridWidth = 100 m;
ViewSetting1.InputCoordinateSystemDiameter = 0.5 m;
ViewSetting1.InputCoordinateSystemLabel = "Input system";
ViewSetting1.InputCoordinateSystemSize = 3 m;
ViewSetting1.LabelBackground = null;
ViewSetting1.LabelBorderColor = null;
ViewSetting1.LabelColor = Color.FromArgb(255, 0, 0, 0);
ViewSetting1.LabelPinColor = null;
ViewSetting1.LineThicknessScale = 0.1 m;
ViewSetting1.LookDirection = new Direction3D(-240 m, 120 m, -80 m);
ViewSetting1.MaxNumberOfLabels = 10000;
ViewSetting1.NearPlaneDistance = 0.1 m;
ViewSetting1.OpenWhenLoaded = true;
ViewSetting1.OrthographicWidth = 100 m;
ViewSetting1.ShowCoordinateSystem = true;
ViewSetting1.ShowGrid = false;
ViewSetting1.ShowInputCoordinateSystem = false;
ViewSetting1.SpatialLabelHeight = 1 m;
ViewSetting1.UpDirection = new Vector3D(0, 0, 1);
ViewSetting1.ViewSubtitle = null;
ViewSetting1.ViewTitle = null;
ViewSetting1.ViewTitleColor = Color.FromArgb(0, 0, 0, 1);
//
ViewSetting1 = Reference("/Workspace/ViewSettings/ViewSetting1");
HydroViewSetting1 = new HydroViewSetting(ViewSetting1, "HydroViewSetting1");
HydroViewSetting1.BaseLineColor = Color.FromArgb(0, 0, 0, 1);
HydroViewSetting1.BeamColor = Color.FromArgb(255, 128, 128, 128);
HydroViewSetting1.BeamDivisions = 18;
HydroViewSetting1.BeamThickness = 1;
HydroViewSetting1.BuoyancyModelColor = Color.FromArgb(255, 247, 150, 70);
HydroViewSetting1.CompartmentDamageColor = Color.FromArgb(255, 255, 99, 71);
HydroViewSetting1.CompartmentDeckTankColor = Color.FromArgb(255, 255, 99, 71);
HydroViewSetting1.CompartmentEdgeColor = Color.FromArgb(0, 0, 0, 1);
HydroViewSetting1.CompartmentEdgeThickness = 2;
HydroViewSetting1.CompartmentFloodedByOpeningColor = Color.FromArgb(255, 255, 99, 71);
HydroViewSetting1.CompartmentPlateBackColor = Color.FromArgb(255, 0, 255, 127);
HydroViewSetting1.CompartmentPlateColor = Color.FromArgb(255, 216, 191, 216);
HydroViewSetting1.CompartmentSharpEdgeLimit = 45 deg;
HydroViewSetting1.DeckEdgePointSize = 1 m;
HydroViewSetting1.Description = null;
HydroViewSetting1.GlobalCoordinateSystemDiameter = 0.5 m;
HydroViewSetting1.GlobalCoordinateSystemSize = 3 m;
HydroViewSetting1.HydroPressureLoadArrowColor = Color.FromArgb(255, 173, 216, 230);
HydroViewSetting1.HydroPressureLoadArrowDiameter = 0.5 m;
HydroViewSetting1.HydroPressureLoadArrowDivisions = 4;
HydroViewSetting1.HydroPressureLoadArrowLength = 3 m;
HydroViewSetting1.KeelLineColor = Color.FromArgb(0, 0, 0, 1);
HydroViewSetting1.KeelLineDiameter = 0.1 m;
HydroViewSetting1.LoadCrossSectionArrowDiameter = 2 m;
HydroViewSetting1.LoadCrossSectionArrowLength = 10 m;
HydroViewSetting1.LoadCrossSectionFrameColor = Color.FromArgb(255, 0, 0, 0);
HydroViewSetting1.LoadCrossSectionFrameThickness = 1;
HydroViewSetting1.LoadCrossSectionPointSize = 3 m;
HydroViewSetting1.MarkerColor = Color.FromArgb(255, 255, 99, 71);
HydroViewSetting1.MarkerDiameter = 3 m;
HydroViewSetting1.OpeningDiameter = 3 m;
HydroViewSetting1.PanelEdgeColor = Color.FromArgb(255, 0, 0, 0);
HydroViewSetting1.PanelEdgeThickness = 1;
HydroViewSetting1.PanelShrinkFactor = new Fraction(0.1);
HydroViewSetting1.PerpendicularHeight = 30 m;
HydroViewSetting1.PlateBackColor = Color.FromArgb(255, 255, 165, 0);
HydroViewSetting1.PlateColor = Color.FromArgb(255, 178, 34, 34);
HydroViewSetting1.PointMassColor = Color.FromArgb(255, 147, 137, 83);
HydroViewSetting1.PointMassDiameter = 5 m;
HydroViewSetting1.PointMassDivisions = 16;
HydroViewSetting1.SolidColor = Color.FromArgb(255, 0, 128, 0);
HydroViewSetting1.ThrusterForceColor = Color.FromArgb(255, 255, 165, 0);
HydroViewSetting1.ThrusterForceRadius = 3 m;
HydroViewSetting1.UnprotectedOpeningColor = Color.FromArgb(255, 255, 165, 0);
HydroViewSetting1.WatertightOpeningColor = Color.FromArgb(255, 0, 128, 0);
HydroViewSetting1.WeathertightOpeningColor = Color.FromArgb(255, 255, 0, 0);
//
Workspace = Reference("/Workspace");
Wizards = new WizardsFolder(Workspace, "Wizards");
Wizards.Description = null;
// HydroD D5.3-01 ended 2021-05-19 15:31:41 

// HydroD D5.3-01 started 2021-05-19 15:31:41 
StabilityWizard1 = new StabilityWizard(Wizards, "StabilityWizard1");
StabilityWizard1.Compartments = true;
StabilityWizard1.HeelingForceModel = true;
StabilityWizard1.StabilityRuleCheck = true;
StabilityWizard1.MaximumKgAnalysis = true;
StabilityWizard1.StrengthAnalysis = true;
Location1 = new Location(Environment, "Location1");
HydroModel1 = new HydroModel(HydroModels, "HydroModel1");
HydroModel1.FPx = 12 m;
HydroModel1.APx = -12 m;
HydroModel1.MobileOffshoreDrillingUnitType = MobileOffshoreDrillingUnitType.SelfElevatingUnit;
ElementModel1 = new ElementModel(Models, "ElementModel1");
ElementModel1.FileName = "T1.FEM";
ElementModel2 = new ElementModel(Models, "ElementModel2");
ElementModel2.FileName = "T2.FEM";
externalsurfaces = Rename(ElementModel1, "externalsurfaces");
structuremodel = Rename(ElementModel2, "structuremodel");
PanelModel1 = new PanelModel(HydroModel1, "PanelModel1");
PanelModel1.ElementModel = externalsurfaces;
PanelModel1.ElementModel = structuremodel;
MassModel1 = new MassModel(HydroModel1, "MassModel1");
MassModel1.MassModelType = MassModelType.FromElementModel;
MassModel1.ElementModel = structuremodel;
PanelModel1.ElementModel = externalsurfaces;
HydrostaticsTable1 = new HydrostaticsTable(HydroModel1, "HydrostaticsTable1");
HydrostaticsTable1.Location = Location1;
HydrostaticsTable1.AzimuthAngles.Add(0 deg);
HydrostaticsTable1.Waterlines.Add(new WaterlineZInterval());
HydrostaticsTable1.Waterlines[0].FromWaterlineZ = 1 m;
HydrostaticsTable1.Waterlines[0].ToWaterlineZ = 17 m;
LoadCrossSections1 = new LoadCrossSections(HydroModel1, "LoadCrossSections1");
LoadCrossSections1.Sections.Add(new LoadCrossSectionsInterval());
StructureReductions1 = new StructureReductions(Properties, "StructureReductions1");
StructureReduction1 = new StructureReduction(StructureReductions1, "StructureReduction1");
Permeabilities1 = new Permeabilities(Properties, "Permeabilities1");
Permeability1 = new Permeability(Permeabilities1, "Permeability1");
StructureReduction1.Value = new Fraction(0.02);
Contents1 = new Contents(Properties, "Contents1");
Fluid1 = new Fluid(Contents1, "Fluid1");
FillingFractions1 = new FillingFractions(Properties, "FillingFractions1");
FillingFraction1 = new FillingFraction(FillingFractions1, "FillingFraction1");
Fluid1.Density = 1000 kg/m^3;
CompartmentModel1 = new CompartmentModel(HydroModel1, "CompartmentModel1");
CompartmentModel1.FillingFractions.Add(new FillingFractionInterval());
CompartmentModel1.FillingFractions[0].ToFraction = new Fraction(1);
CompartmentModel1.FillingFractions[0].Step = new Fraction(0.1);
CompartmentModel1.ElementModel = structuremodel;
LoadingCondition1 = new LoadingCondition(HydroModel1, "LoadingCondition1");
LoadingCondition1.Location = Location1;
CompartmentContents1 = new CompartmentContents(LoadingCondition1, "CompartmentContents1");
LoadingCondition1.LoadingConditionType = LoadingConditionType.Drafts;
LoadingCondition1.LoadingConditionType = LoadingConditionType.WaterlineTrim;
CompartmentContents1.Contents[0].IntactFluid = Fluid1;
CompartmentContents1.Contents[1].IntactFluid = Fluid1;
CompartmentContents1.Contents[0].FillingFraction = FillingFraction1;
CompartmentContents1.Contents[1].FillingFraction = FillingFraction1;
LoadingCondition1.Balance();
LoadingCondition1.WaterLineZ = 16 m;
LoadingCondition1.WaterLineZ = 15.7 m;
LoadingCondition1.Balance();
CompartmentContents1.Contents[0].IsAdjustable = true;
CompartmentContents1.Contents[1].IsAdjustable = true;
HeelingForceModel1 = new HeelingForceModel(HydroModel1, "HeelingForceModel1");
HeelingForceModel1.ElementModel = structuremodel;
ProjectedAreaWindHeelingMoments1 = new ProjectedAreaWindHeelingMoments(HeelingForceModel1, "ProjectedAreaWindHeelingMoments1");
HeelAngles1 = new HeelAngles(StabilityProperties, "HeelAngles1");
HeelAngles1.Items.Add(new HeelAngleInterval());
HeelAngles1.Items[0].FromAngle = -60 deg;
HeelAngles1.Items[0].ToAngle = 60 deg;
HeelAngles1.Items[0].Step = 5 deg;
HeelAngles1.Items[0].FromAngle = 0 deg;
HeelAngles1.Items[0].ToAngle = 18 deg;
HeelAngles1.Items[0].Step = 1 deg;
HeelAngles1.Items.Add(new HeelAngleInterval());
HeelAngles1.Items[1].ToAngle = 5 deg;
HeelAngles1.Items[1].Step = 0.2 deg;
HeelAngles2 = new HeelAngles(StabilityProperties, "HeelAngles2");
HeelAngles2.Items.Add(new HeelAngleInterval());
HeelAngles2.Items[0].FromAngle = -60 deg;
HeelAngles2.Items[0].ToAngle = 60 deg;
HeelAngles2.Items[0].Step = 5 deg;
HeelAngles2.Items[0].FromAngle = -30 deg;
HeelAngles2.Items[0].ToAngle = 30 deg;
StabilityAnalysis1 = new StabilityAnalysis(Analyses, "StabilityAnalysis1");
StabilityAnalysis1.AzimuthAngles.Add(0 deg);
StabilityAnalysis1.HydroModel = HydroModel1;
StabilityAnalysis1.LoadingCondition = LoadingCondition1;
StabilityAnalysis1.HeelingForceModel = HeelingForceModel1;
StabilityAnalysis1.HeelAngles = HeelAngles1;
StabilityAnalysis1.HeelingForceAngles = HeelAngles2;
StabilityRule1 = new StabilityRule(Rules, "StabilityRule1");
StabilityRule1.StabilityRuleReference = "User defined criteria.";
StabilityRule1.CriteriaList = StabilityRuleUtilities.GetRuleSet("DNVGL-OS.Intact-StabilityRule");
StabilityRule1.StabilityCriteria.Clear();
StabilityRule1.StabilityCriterionParameters.Clear();
StabilityRule1.StabilityCriteria.Add(new StabilityCriterion("DNVGL-OS.Intact-StabilityRule", "Common.CheckRightingArmAreaBelowAngleLimit"));
StabilityRule1.StabilityCriteria.Add(new StabilityCriterion("DNVGL-OS.Intact-StabilityRule", "Common.CheckRightingArmAreaBelowAngleLimitOrFlooding"));
StabilityRule1.StabilityCriteria.Add(new StabilityCriterion("DNVGL-OS.Intact-StabilityRule", "Common.CheckRightingArmAreaAboveAngleLimit"));
StabilityRule1.StabilityCriteria.Add(new StabilityCriterion("DNVGL-OS.Intact-StabilityRule", "DNV.OS.CheckMaxRightingArmAboveAngleLimit"));
StabilityRule1.StabilityCriteria.Add(new StabilityCriterion("DNVGL-OS.Intact-StabilityRule", "DNV.OS.CheckAngleOfMaxRightingArm"));
StabilityRule1.StabilityCriteria.Add(new StabilityCriterion("DNVGL-OS.Intact-StabilityRule", "Common.CheckInitialMetacentricHeight"));
StabilityRule1.StabilityCriteria.Add(new StabilityCriterion("DNVGL-OS.Intact-StabilityRule", "DNV.OS.CheckRightingAreaExcessOfHeelingAreaStabilityCriterion"));
StabilityRule1.StabilityCriteria.Add(new StabilityCriterion("DNVGL-OS.Intact-StabilityRule", "Common.CheckPositiveRightingMomentStabilityCriterion"));
StabilityRuleCheck1 = new StabilityRuleCheck(Analyses, "StabilityRuleCheck1");
StabilityRuleCheck1.StabilityAnalyses.Insert(0, StabilityAnalysis1);
StabilityRuleCheck1.IntactStabilityRule = StabilityRule1;
StrengthAnalysis1 = new StrengthAnalysis(Analyses, "StrengthAnalysis1");
StrengthAnalysis1.HydroModel = HydroModel1;
StrengthAnalysis1.LoadingCondition = LoadingCondition1;
MaximumKgAnalysis1 = new MaximumKgAnalysis(Analyses, "MaximumKgAnalysis1");
MaximumKgAnalysis1.HydroModel = HydroModel1;
MaximumKgAnalysis1.Location = Location1;
MaximumKgAnalysis1.HeelAngles = HeelAngles1;
MaximumKgAnalysis1.IntactStabilityRule = StabilityRule1;
MaximumKgAnalysis1.HeelingForceModel = HeelingForceModel1;
MaximumKgAnalysis1.Waterlines.Add(0 m);
MaximumKgAnalysis1.Waterlines[0] = 15.7 m;
MaximumKgAnalysis1.AzimuthAngles.Add(0 deg);
StabilityAnalysis1.Execute();
StrengthAnalysis1.Execute();
StabilityAnalysis1.Execute();
CompartmentContents1.Contents[0].FillingFraction = null;
CompartmentContents1.Contents[0].ActualFillingFraction = new Fraction(0.8);
LoadingCondition1.Balance();
LoadingCondition1.WaterLineZ = 15.2525353484487 m;
LoadingCondition1.HeelAngle = 0.00229092181118057 deg;
LoadingCondition1.TrimAngle = 0.000913857831349432 deg;
CompartmentContents1.Contents[0].ActualFillingFraction = new Fraction(0.9);
LoadingCondition1.Balance();
LoadingCondition1.WaterLineZ = 16.2512015500215 m;
LoadingCondition1.HeelAngle = 0.00175839455769285 deg;
LoadingCondition1.TrimAngle = 0.000562595139756922 deg;
CompartmentContents1.Contents[0].ActualFillingFraction = new Fraction(0.82);
CompartmentContents1.Adjust();
CompartmentContents1.Contents[0].ActualFillingFraction = new Fraction(0.8);
LoadingCondition1.Balance();
LoadingCondition1.WaterLineZ = 15.2525353488808 m;
LoadingCondition1.HeelAngle = 0.00228821377270231 deg;
LoadingCondition1.TrimAngle = 0.000912222419760433 deg;
CompartmentContents1.Contents[0].ActualFillingFraction = new Fraction(0.85);
CompartmentContents1.Contents[0].ActualFillingFraction = new Fraction(0.9);
CompartmentContents1.Contents[1].FillingFraction = null;
CompartmentContents1.Contents[1].ActualFillingFraction = new Fraction(0.9);
LoadingCondition1.Balance();
LoadingCondition1.WaterLineZ = 16.1115625570226 m;
LoadingCondition1.HeelAngle = 0.00637877325890374 deg;
LoadingCondition1.TrimAngle = 0.00325862014242105 deg;
CompartmentContents1.Contents[1].ActualFillingFraction = new Fraction(0.7);
LoadingCondition1.Balance();
LoadingCondition1.WaterLineZ = 15.8322846903795 m;
LoadingCondition1.HeelAngle = 0.00558814547345982 deg;
LoadingCondition1.TrimAngle = 0.00229300115861253 deg;
CompartmentContents1.Contents[1].ActualFillingFraction = new Fraction(0.6);
LoadingCondition1.Balance();
LoadingCondition1.WaterLineZ = 15.6926457684537 m;
LoadingCondition1.HeelAngle = 0.00518603841843703 deg;
LoadingCondition1.TrimAngle = 0.00187460254400315 deg;
CompartmentContents1.Contents[1].ActualFillingFraction = new Fraction(0.605);
LoadingCondition1.Balance();
LoadingCondition1.WaterLineZ = 15.699627714514 m;
LoadingCondition1.HeelAngle = 0.00522209124676915 deg;
LoadingCondition1.TrimAngle = 0.00184099593464761 deg;
StabilityAnalysis1.Execute();
Plot1 = new Plot(Plots, "Plot1");
Plot1.Source = StabilityAnalysis1;
Plot1.ItemsSource = "LoadingCondition1 / A0 deg";
Plot1.SubItemsSource = "LoadingCondition1_A0 degResults";
Plot1.DataFieldX = "RotationAngle";
Plot1.UnitX = "deg";
Plot1.DataFieldsY.Add("RightingArm");
Plot1.DataFieldsY.Add("RightingArmArea");
Plot1.DataFieldsY.Add("HeelingArm");
Plot1.GenerateLineSeries();
// HydroD D5.3-01 ended 2021-05-19 15:54:32 

// HydroD D5.3-01 started 2021-05-19 15:54:32 
HydrostaticsTable1.Waterlines[0].Step = 0.25 m;
StabilityAnalysis1.Execute();
Plot1.GenerateLineSeries();
HydrostaticsTable1_Results = new Table(Tables, "HydrostaticsTable1_Results");
HydrostaticsTable1_Results.Source = HydrostaticsTable1;
HydrostaticsTable1_Results.Columns.Clear();
HydrostaticsTable1_Results.ItemsSource = "Results";
HydrostaticsTable1_Results.Columns.Clear();
HydrostaticsTable1_Results.Columns.Clear();
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[0].DataField = "CenterOfBuoyancyX";
HydrostaticsTable1_Results.Columns[0].Header = "CenterOfBuoyancyX";
HydrostaticsTable1_Results.Columns[0].Unit = "m";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[1].DataField = "CenterOfBuoyancyY";
HydrostaticsTable1_Results.Columns[1].Header = "CenterOfBuoyancyY";
HydrostaticsTable1_Results.Columns[1].Unit = "m";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[2].DataField = "CenterOfBuoyancyZ";
HydrostaticsTable1_Results.Columns[2].Header = "CenterOfBuoyancyZ";
HydrostaticsTable1_Results.Columns[2].Unit = "m";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[3].DataField = "CenterOfFlotationX";
HydrostaticsTable1_Results.Columns[3].Header = "CenterOfFlotationX";
HydrostaticsTable1_Results.Columns[3].Unit = "m";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[4].DataField = "CenterOfFlotationY";
HydrostaticsTable1_Results.Columns[4].Header = "CenterOfFlotationY";
HydrostaticsTable1_Results.Columns[4].Unit = "m";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[5].DataField = "CenterOfFlotationZ";
HydrostaticsTable1_Results.Columns[5].Header = "CenterOfFlotationZ";
HydrostaticsTable1_Results.Columns[5].Unit = "m";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[6].DataField = "Displacement";
HydrostaticsTable1_Results.Columns[6].Header = "Displacement";
HydrostaticsTable1_Results.Columns[6].Unit = "kg";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[7].DataField = "HeelAngle";
HydrostaticsTable1_Results.Columns[7].Header = "HeelAngle";
HydrostaticsTable1_Results.Columns[7].Unit = "deg";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[8].DataField = "MetacenterZ";
HydrostaticsTable1_Results.Columns[8].Header = "MetacenterZ";
HydrostaticsTable1_Results.Columns[8].Unit = "m";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[9].DataField = "RotationAxisAzimuthAngle";
HydrostaticsTable1_Results.Columns[9].Header = "RotationAxisAzimuthAngle";
HydrostaticsTable1_Results.Columns[9].Unit = "deg";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[10].DataField = "TrimAngle";
HydrostaticsTable1_Results.Columns[10].Header = "TrimAngle";
HydrostaticsTable1_Results.Columns[10].Unit = "deg";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[11].DataField = "WaterlineArea";
HydrostaticsTable1_Results.Columns[11].Header = "WaterlineArea";
HydrostaticsTable1_Results.Columns[11].Unit = "m^2";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[12].DataField = "WaterlineZ";
HydrostaticsTable1_Results.Columns[12].Header = "WaterlineZ";
HydrostaticsTable1_Results.Columns[12].Unit = "m";
HydrostaticsTable1_Results.Columns[6].Unit = "tonne";
HydrostaticsTable1_Results.Columns[7].Unit = "tonne";
HydrostaticsTable1_Results.Columns[7].Unit = "deg";
// HydroD D5.3-01 ended 2021-05-19 16:25:10 
// HydroD D5.3-01 started 2021-05-20 12:01:39 
StabilityRule1 = Reference("/Workspace/Rules/StabilityRule1");
StabilityRule1.StabilityCriteria.Clear();
StabilityRule1.StabilityCriteria.Add(new StabilityCriterion("DNVGL-OS.Intact-StabilityRule", "Common.CheckRightingArmAreaBelowAngleLimit"));
StabilityRule1.StabilityCriteria.Add(new StabilityCriterion("DNVGL-OS.Intact-StabilityRule", "Common.CheckRightingArmAreaBelowAngleLimitOrFlooding"));
StabilityRule1.StabilityCriteria.Add(new StabilityCriterion("DNVGL-OS.Intact-StabilityRule", "Common.CheckRightingArmAreaAboveAngleLimit"));
StabilityRule1.StabilityCriteria.Add(new StabilityCriterion("DNVGL-OS.Intact-StabilityRule", "DNV.OS.CheckMaxRightingArmAboveAngleLimit"));
StabilityRule1.StabilityCriteria.Add(new StabilityCriterion("DNVGL-OS.Intact-StabilityRule", "DNV.OS.CheckAngleOfMaxRightingArm"));
StabilityRule1.StabilityCriteria.Add(new StabilityCriterion("DNVGL-OS.Intact-StabilityRule", "Common.CheckInitialMetacentricHeight"));
StabilityRule1.StabilityCriteria.Add(new StabilityCriterion("DNVGL-OS.Intact-StabilityRule", "DNV.OS.CheckRightingAreaExcessOfHeelingAreaStabilityCriterion"));
StabilityRule1.StabilityCriteria.Add(new StabilityCriterion("DNVGL-OS.Intact-StabilityRule", "Common.CheckPositiveRightingMomentStabilityCriterion"));
StabilityRuleCheck1 = Reference("/Workspace/Analyses/StabilityRuleCheck1");
StabilityAnalysis1 = Reference("/Workspace/Analyses/StabilityAnalysis1");
StabilityRuleCheck1.StabilityAnalyses[0] = StabilityAnalysis1;
Table1 = new Table(Tables, "Table1");
Table1.Source = MassModel1;
Table1.Columns.Clear();
Table1.ItemsSource = "Results";
Table1.Columns.Clear();
Table1.Columns.Clear();
Table1.Columns.Add(new TableColumn());
Table1.Columns[0].DataField = "CenterOfGravityX(COG X)";
Table1.Columns[0].Header = "COG X";
Table1.Columns[0].Unit = "m";
Table1.Columns.Add(new TableColumn());
Table1.Columns[1].DataField = "CenterOfGravityY(COG Y)";
Table1.Columns[1].Header = "COG Y";
Table1.Columns[1].Unit = "m";
Table1.Columns.Add(new TableColumn());
Table1.Columns[2].DataField = "CenterOfGravityZ(COG Z)";
Table1.Columns[2].Header = "COG Z";
Table1.Columns[2].Unit = "m";
Table1.Columns.Add(new TableColumn());
Table1.Columns[3].DataField = "Mass(Mass)";
Table1.Columns[3].Header = "Mass";
Table1.Columns[3].Unit = "kg";
Table1.Columns.Add(new TableColumn());
Table1.Columns[4].DataField = "RadiusOfGyrationX(RX)";
Table1.Columns[4].Header = "RX";
Table1.Columns[4].Unit = "m";
Table1.Columns.Add(new TableColumn());
Table1.Columns[5].DataField = "RadiusOfGyrationY(RY)";
Table1.Columns[5].Header = "RY";
Table1.Columns[5].Unit = "m";
Table1.Columns.Add(new TableColumn());
Table1.Columns[6].DataField = "RadiusOfGyrationZ(RZ)";
Table1.Columns[6].Header = "RZ";
Table1.Columns[6].Unit = "m";
Table1.Columns.Add(new TableColumn());
Table1.Columns[7].DataField = "SpecificProductOfInertiaRadiusXY(Rxy)";
Table1.Columns[7].Header = "Rxy";
Table1.Columns[7].Unit = "m";
Table1.Columns.Add(new TableColumn());
Table1.Columns[8].DataField = "SpecificProductOfInertiaRadiusXZ(Rxz)";
Table1.Columns[8].Header = "Rxz";
Table1.Columns[8].Unit = "m";
Table1.Columns.Add(new TableColumn());
Table1.Columns[9].DataField = "SpecificProductOfInertiaRadiusYZ(Ryz)";
Table1.Columns[9].Header = "Ryz";
Table1.Columns[9].Unit = "m";
Table1.Columns.Add(new TableColumn());
Table1.Columns[10].DataField = "VerticalCenterOfGravity(COG V)";
Table1.Columns[10].Header = "COG V";
Table1.Columns[10].Unit = "m";
COGz = Rename(Table1, "COGz");
Table1 = new Table(Tables, "Table1");
Table1.Source = StabilityAnalysis1;
Table1.Columns.Clear();
Table1.ItemsSource = "LoadingCondition1 / A0 deg Results";
Table1.Columns.Clear();
Table1.Columns.Clear();
Table1.Columns.Add(new TableColumn());
Table1.Columns[0].DataField = "DeckHeight";
Table1.Columns[0].Header = "DeckHeight";
Table1.Columns[0].Unit = "m";
Table1.Columns.Add(new TableColumn());
Table1.Columns[1].DataField = "DisplacementWeight(DISPM)";
Table1.Columns[1].Header = "DISPM";
Table1.Columns[1].Unit = "N";
Table1.Columns.Add(new TableColumn());
Table1.Columns[2].DataField = "FreeSurfaceRightingArmCorrection";
Table1.Columns[2].Header = "FreeSurfaceRightingArmCorrection";
Table1.Columns[2].Unit = "m";
Table1.Columns.Add(new TableColumn());
Table1.Columns[3].DataField = "HeelingArm";
Table1.Columns[3].Header = "HeelingArm";
Table1.Columns[3].Unit = "m";
Table1.Columns.Add(new TableColumn());
Table1.Columns[4].DataField = "HeelingArmArea";
Table1.Columns[4].Header = "HeelingArmArea";
Table1.Columns[4].Unit = "m*rad";
Table1.Columns.Add(new TableColumn());
Table1.Columns[5].DataField = "HeelingMoment";
Table1.Columns[5].Header = "HeelingMoment";
Table1.Columns[5].Unit = "N*m";
Table1.Columns.Add(new TableColumn());
Table1.Columns[6].DataField = "HeelingMomentArea";
Table1.Columns[6].Header = "HeelingMomentArea";
Table1.Columns[6].Unit = "N*m*rad";
Table1.Columns.Add(new TableColumn());
Table1.Columns[7].DataField = "LateralTrim";
Table1.Columns[7].Header = "LateralTrim";
Table1.Columns[7].Unit = "deg";
Table1.Columns.Add(new TableColumn());
Table1.Columns[8].DataField = "MetacentricHeight(GM)";
Table1.Columns[8].Header = "GM";
Table1.Columns[8].Unit = "m";
Table1.Columns.Add(new TableColumn());
Table1.Columns[9].DataField = "MinimumOpening";
Table1.Columns[9].Header = "MinimumOpening";
Table1.Columns.Add(new TableColumn());
Table1.Columns[10].DataField = "MinimumOpeningHeight";
Table1.Columns[10].Header = "MinimumOpeningHeight";
Table1.Columns[10].Unit = "m";
Table1.Columns.Add(new TableColumn());
Table1.Columns[11].DataField = "MinimumUnprotectedOpening";
Table1.Columns[11].Header = "MinimumUnprotectedOpening";
Table1.Columns.Add(new TableColumn());
Table1.Columns[12].DataField = "MinimumUnprotectedOpeningHeight";
Table1.Columns[12].Header = "MinimumUnprotectedOpeningHeight";
Table1.Columns[12].Unit = "m";
Table1.Columns.Add(new TableColumn());
Table1.Columns[13].DataField = "MinimumWeathertightOpening";
Table1.Columns[13].Header = "MinimumWeathertightOpening";
Table1.Columns.Add(new TableColumn());
Table1.Columns[14].DataField = "MinimumWeathertightOpeningHeight";
Table1.Columns[14].Header = "MinimumWeathertightOpeningHeight";
Table1.Columns[14].Unit = "m";
Table1.Columns.Add(new TableColumn());
Table1.Columns[15].DataField = "RightingArm(GZ)";
Table1.Columns[15].Header = "GZ";
Table1.Columns[15].Unit = "m";
Table1.Columns.Add(new TableColumn());
Table1.Columns[16].DataField = "RightingArmArea";
Table1.Columns[16].Header = "RightingArmArea";
Table1.Columns[16].Unit = "m*rad";
Table1.Columns.Add(new TableColumn());
Table1.Columns[17].DataField = "RightingArmFromDeckTanks";
Table1.Columns[17].Header = "RightingArmFromDeckTanks";
Table1.Columns[17].Unit = "m";
Table1.Columns.Add(new TableColumn());
Table1.Columns[18].DataField = "RightingArmWithoutDeckTanks";
Table1.Columns[18].Header = "RightingArmWithoutDeckTanks";
Table1.Columns[18].Unit = "m";
Table1.Columns.Add(new TableColumn());
Table1.Columns[19].DataField = "RightingArmWithoutFreeSurfaceCorrection";
Table1.Columns[19].Header = "RightingArmWithoutFreeSurfaceCorrection";
Table1.Columns[19].Unit = "m";
Table1.Columns.Add(new TableColumn());
Table1.Columns[20].DataField = "RightingMoment";
Table1.Columns[20].Header = "RightingMoment";
Table1.Columns[20].Unit = "N*m";
Table1.Columns.Add(new TableColumn());
Table1.Columns[21].DataField = "RightingMomentArea";
Table1.Columns[21].Header = "RightingMomentArea";
Table1.Columns[21].Unit = "N*m*rad";
Table1.Columns.Add(new TableColumn());
Table1.Columns[22].DataField = "RotationAngle(H)";
Table1.Columns[22].Header = "H";
Table1.Columns[22].Unit = "deg";
Table1.Columns.Add(new TableColumn());
Table1.Columns[23].DataField = "WaterlineZ";
Table1.Columns[23].Header = "WaterlineZ";
Table1.Columns[23].Unit = "m";
HydrostaticsTable1_Results.Columns.Clear();
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[0].DataField = "CenterOfBuoyancyX";
HydrostaticsTable1_Results.Columns[0].Header = "CenterOfBuoyancyX";
HydrostaticsTable1_Results.Columns[0].Unit = "m";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[1].DataField = "CenterOfBuoyancyY";
HydrostaticsTable1_Results.Columns[1].Header = "CenterOfBuoyancyY";
HydrostaticsTable1_Results.Columns[1].Unit = "m";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[2].DataField = "CenterOfBuoyancyZ";
HydrostaticsTable1_Results.Columns[2].Header = "CenterOfBuoyancyZ";
HydrostaticsTable1_Results.Columns[2].Unit = "m";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[3].DataField = "CenterOfFlotationX";
HydrostaticsTable1_Results.Columns[3].Header = "CenterOfFlotationX";
HydrostaticsTable1_Results.Columns[3].Unit = "m";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[4].DataField = "CenterOfFlotationY";
HydrostaticsTable1_Results.Columns[4].Header = "CenterOfFlotationY";
HydrostaticsTable1_Results.Columns[4].Unit = "m";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[5].DataField = "CenterOfFlotationZ";
HydrostaticsTable1_Results.Columns[5].Header = "CenterOfFlotationZ";
HydrostaticsTable1_Results.Columns[5].Unit = "m";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[6].DataField = "Displacement";
HydrostaticsTable1_Results.Columns[6].Header = "Displacement";
HydrostaticsTable1_Results.Columns[6].Unit = "kg";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[7].DataField = "HeelAngle";
HydrostaticsTable1_Results.Columns[7].Header = "HeelAngle";
HydrostaticsTable1_Results.Columns[7].Unit = "deg";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[8].DataField = "MetacenterZ";
HydrostaticsTable1_Results.Columns[8].Header = "MetacenterZ";
HydrostaticsTable1_Results.Columns[8].Unit = "m";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[9].DataField = "RotationAxisAzimuthAngle";
HydrostaticsTable1_Results.Columns[9].Header = "RotationAxisAzimuthAngle";
HydrostaticsTable1_Results.Columns[9].Unit = "deg";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[10].DataField = "TrimAngle";
HydrostaticsTable1_Results.Columns[10].Header = "TrimAngle";
HydrostaticsTable1_Results.Columns[10].Unit = "deg";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[11].DataField = "WaterlineArea";
HydrostaticsTable1_Results.Columns[11].Header = "WaterlineArea";
HydrostaticsTable1_Results.Columns[11].Unit = "m^2";
HydrostaticsTable1_Results.Columns.Add(new TableColumn());
HydrostaticsTable1_Results.Columns[12].DataField = "WaterlineZ";
HydrostaticsTable1_Results.Columns[12].Header = "WaterlineZ";
HydrostaticsTable1_Results.Columns[12].Unit = "m";
// HydroD D5.3-01 ended 2021-05-20 13:01:11 

// HydroD D5.3-01 started 2021-05-20 13:01:11 
