// GeniE V7.14-05 64bit started 19-May-2021 09:57:31
// GeniE V7.14-05 64bit ended 19-May-2021 09:57:32
// GeniE V7.14-05 64bit started 19-May-2021 09:57:32
//Initialization of GeniE Database Units
GenieRules.Units.setDatabaseUnits("m", "N", "delC");

//Initialization of GeniE Input Units
GenieRules.Units.setInputUnit(Length, "m");
GenieRules.Units.setInputUnit(Force, "N");
GenieRules.Units.setInputUnit(TempDiff, "delC");

//Turn Tolerant Modelling on
GenieRules.Tolerances.useTolerantModelling = true;
GenieRules.Tolerances.angleTolerance = 2 deg;
GenieRules.Meshing.autoSimplifyTopology = true;
GenieRules.Meshing.eliminateInternalEdges = true;
GenieRules.BeamCreation.DefaultCurveOffset = ReparameterizedBeamCurveOffset();

//Set Superelement Number
GenieRules.Meshing.superElementType = 1;
GuidePlane1 = GuidePlane(Point(-6.92 m,0 m,0 m),Point(6.92 m,0 m,0 m),Point(6.92 m,0 m,19.1 m),Point(-6.92 m,0 m,19.1 m),4,4,1,1,1,1,1,1,1,1);
GuidePlane1.snapmode = true;
GuidePlane1.corners(Point(-6.92 m,0 m,0 m),Point(6.92 m,0 m,0 m),Point(6.92 m,0 m,19.1 m),Point(-6.92 m,0 m,19.1 m));
GuidePlane1.spacings(4,21,0.25,0.25,0.25,0.25,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0.25,0.25);
GuidePlane1.corners(Point(-6.92 m,0 m,0 m),Point(6.92 m,0 m,0 m),Point(6.92 m,0 m,19.1 m),Point(-6.92 m,0 m,19.1 m));
GuidePlane1.spacings(4,20,0.25,0.25,0.25,0.25,1,2.5,1,1,1,1,1,1,1,1,1,1,1,1,2.5,1,1,1,2.5,2.5);
GuidePlane1.corners(Point(-6.92 m,0 m,0 m),Point(6.92 m,0 m,0 m),Point(6.92 m,0 m,19.1 m),Point(-6.92 m,0 m,19.1 m));
GuidePlane1.spacings(4,21,0.25,0.25,0.25,0.25,2.5,2.5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0.5);
Curve1 = CreateLineTwoPoints(Point(0 m,0 m,0 m), Point(0 m,0 m,19.1 m));
Curve2 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,0.5 m), Vector3d(0 m,0 m,0.5 m), 2.1 m);
Curve3 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,1 m), Vector3d(0 m,0 m,1 m), 2.97 m);
Curve4 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,2 m), Vector3d(0 m,0 m,1 m), 4.09 m);
Curve5 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,3 m), Vector3d(0 m,0 m,1 m), 4.87 m);
Curve6 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,4 m), Vector3d(0 m,0 m,1 m), 5.47 m);
Curve7 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,5 m), Vector3d(0 m,0 m,1 m), 5.92 m);
Curve8 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,6 m), Vector3d(0 m,0 m,1 m), 5.92 m);
Curve9 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,7 m), Vector3d(0 m,0 m,1 m), 6.29 m);
Curve10 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,8 m), Vector3d(0 m,0 m,1 m), 6.55 m);
Curve11 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,9 m), Vector3d(0 m,0 m,1 m), 6.75 m);
Curve12 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,10 m), Vector3d(0 m,0 m,1 m), 6.87 m);
Curve13 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,11 m), Vector3d(0 m,0 m,1 m), 6.93 m);
Curve14 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,12 m), Vector3d(0 m,0 m,1 m), 6.92 m);
Curve15 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,13 m), Vector3d(0 m,0 m,1 m), 6.82 m);
Curve16 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,14 m), Vector3d(0 m,0 m,1 m), 6.44 m);
Curve17 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,15 m), Vector3d(0 m,0 m,1 m), 6.3 m);
Curve18 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,16 m), Vector3d(0 m,0 m,1 m), 5.87 m);
Curve19 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,17 m), Vector3d(0 m,0 m,1 m), 5.28 m);
Curve20 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,18 m), Vector3d(0 m,0 m,1.1 m), 4.48 m);
Curve21 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,19 m), Vector3d(0 m,0 m,0.1 m), 3.28 m);
Delete(Curve8);
Delete(Curve9);
Delete(Curve10);
Delete(Curve11);
Delete(Curve12);
Delete(Curve13);
Delete(Curve14);
Delete(Curve15);
Delete(Curve16);
Delete(Curve17);
Delete(Curve18);
Delete(Curve19);
Delete(Curve20);
Delete(Curve21);
Curve22 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,6 m), Vector3d(0 m,0 m,1 m), 6.29 m);
Curve23 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,7 m), Vector3d(0 m,0 m,1 m), 6.55 m);
Curve24 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,8 m), Vector3d(0 m,0 m,1 m), 6.75 m);
Curve25 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,9 m), Vector3d(0 m,0 m,1 m), 6.87 m);
Curve26 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,10 m), Vector3d(0 m,0 m,1 m), 6.93 m);
Curve27 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,11 m), Vector3d(0 m,0 m,1 m), 6.92 m);
Curve28 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,12 m), Vector3d(0 m,0 m,1 m), 6.82 m);
Curve29 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,13 m), Vector3d(0 m,0 m,1 m), 6.44 m);
Curve30 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,14 m), Vector3d(0 m,0 m,1 m), 6.3 m);
Curve31 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,15 m), Vector3d(0 m,0 m,1 m), 5.87 m);
Curve32 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,16 m), Vector3d(0 m,0 m,1 m), 5.28 m);
Curve33 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,17 m), Vector3d(0 m,0 m,1 m), 4.48 m);
Curve34 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,18 m), Vector3d(0 m,0 m,1 m), 3.28 m);
Curve35 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,19 m), Vector3d(0 m,0 m,0.1 m), 1.14 m);
Delete(Curve29);
Curve36 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,13 m), Vector3d(0 m,0 m,1 m), 6.6 m);
Pl1 = CoverCurves(Curve35,Curve34);
Pl2 = CoverCurves(Curve34,Curve33);
Pl3 = CoverCurves(Curve33,Curve32);
Pl4 = CoverCurves(Curve31,Curve32);
Pl5 = CoverCurves(Curve30,Curve31);
Pl6 = CoverCurves(Curve30,Curve36);
Pl7 = CoverCurves(Curve28,Curve36);
Pl8 = CoverCurves(Curve27,Curve28);
Pl9 = CoverCurves(Curve26,Curve27);
Pl10 = CoverCurves(Curve25,Curve26);
Pl11 = CoverCurves(Curve24,Curve25);
Pl12 = CoverCurves(Curve23,Curve24);
Pl13 = CoverCurves(Curve22,Curve23);
Pl14 = CoverCurves(Curve7,Curve22);
Pl15 = CoverCurves(Curve6,Curve7);
Pl16 = CoverCurves(Curve5,Curve6);
Pl17 = CoverCurves(Curve4,Curve5);
Pl18 = CoverCurves(Curve3,Curve4);
Pl19 = CoverCurves(Curve2,Curve3);
Curve37 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,19.1 m), Vector3d(0 m,0 m,-0.1 m), 0.2 m);
Pl20 = CoverCurves(Curve37);
Pl21 = CoverCurves(Curve37,Curve35);
Pl20.flipNormal();
// GeniE V7.14-05 64bit ended 19-May-2021 11:12:03
// GeniE V7.14-05 64bit started 19-May-2021 11:12:03
GuidePlane2 = GuidePlane(Point(-10 m,-10 m,16.7 m),Point(10 m,-10 m,16.7 m),Point(10 m,10 m,16.7 m),Point(-10 m,10 m,16.7 m),4,4,1,1,1,1,1,1,1,1);
GuidePlane2.snapmode = true;
GuidePlane3 = GuidePlane2.copyTranslate(Vector3d(0 m,0 m,-4 m));
Curve38 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,16.7 m), Vector3d(0 m,0 m,2.4 m), 7.5 m);
Curve39 = Curve38.copyTranslate(Vector3d(0 m,0 m,-4 m));
Pl22 = CoverCurves(Curve38,Curve39);
Pl23 = CoverCurves(Curve38);
Validate(Pl3.primitivePartCount == 2);
Pl3.explode(IndexedNameMask(24));
Validate(Pl24);
Validate(Pl25);
Validate(Pl23.primitivePartCount == 2);
Pl23.explode(IndexedNameMask(26));
Validate(Pl26);
Validate(Pl27);
Delete(Pl27);
Pl27 = CoverCurves(Curve39);
Pl27.flipNormal();
Validate(Pl7.primitivePartCount == 2);
Pl7.explode(IndexedNameMask(28));
Validate(Pl28);
Validate(Pl29);
Validate(Pl27.primitivePartCount == 2);
Pl27.explode(IndexedNameMask(30));
Validate(Pl30);
Validate(Pl31);
Delete(Pl31);
Pl28.join(Pl29);
Pl28.simplifyTopology();
Pl25.join(Pl24);
Pl25.simplifyTopology();
GuidePlane4 = GuidePlane(Point(-10 m,-10 m,1.4 m),Point(10 m,-10 m,1.4 m),Point(10 m,10 m,1.4 m),Point(-10 m,10 m,1.4 m),4,4,1,1,1,1,1,1,1,1);
GuidePlane4.snapmode = true;
Curve40 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,1.4 m), Vector3d(0 m,0 m,-1.4 m), 4 m);
Pl29 = CoverCurves(Curve40);
Validate(Pl18.primitivePartCount == 2);
Pl18.explode(IndexedNameMask(31));
Validate(Pl31);
Validate(Pl32);
Validate(Pl29.primitivePartCount == 2);
Pl29.explode(IndexedNameMask(33));
Validate(Pl33);
Validate(Pl34);
Delete(Pl31);
Delete(Pl33);
Delete(Pl19);
Delete(Pl34);
Delete(Curve40);
Curve41 = GuideNURBS(ModelCurve(Point(0 m,-3.418 m,1.4 m), Point(-5.245732036e-06 m,3.418 m,1.4 m), Point(0 m,-3.418 m,1.4 m)));
Delete(Curve2);
Delete(Curve3);
Curve42 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,1.4 m), Vector3d(0 m,0 m,-1.4 m), 0.48 m);
Curve43 = Curve42.copyTranslate(Vector3d(0 m,0 m,-1.4 m));
Delete(Curve42);
Pl31 = CoverCurves(Curve43,Curve41);
Pl33 = CoverCurves(Curve43);
Delete(Pl31);
Pl34 = CoverCurves(Curve43,Curve41);
autoMSet = Set();
autoMSet.clear();
autoMSet.add(GuidePlane4);
autoMSet.moveTranslate(Vector3d(0 m,0 m,-1.4 m),geUNCONNECTED);
Delete(autoMSet);
Curve44 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,0 m), Vector3d(0 m,0 m,3 m), 4.65 m);
Curve45 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,0 m), Vector3d(0 m,0 m,19.1 m), 4 m);
Pl35 = SweepCurve(Curve44, Vector3d(0,0,1.7));
Pl36 = SweepCurve(Curve45, Vector3d(0,0,1.7));
Curve46 = GuideNURBS(ModelCurve(Point(0 m,-4.65 m,1.7 m), Point(0 m,4.65 m,1.7 m), Point(0 m,-4.65 m,1.7 m)));
Curve47 = GuideNURBS(ModelCurve(Point(0 m,-4 m,1.7 m), Point(0 m,4 m,1.7 m), Point(0 m,-4 m,1.7 m)));
Pl37 = CoverCurves(Curve46,Curve47);
Pl37.flipNormal();
Pl36.flipNormal();
Pl38 = CoverCurves(Curve44,Curve45);
Pl38.flipNormal();
Curve48 = Curve4.divideAt(0.5);
Curve49 = Curve4.divideAt(0.5);
Curve50 = Curve48.divideAt(0.5);
Curve51 = Curve47.divideAt(0.5);
Curve52 = Curve47.divideAt(0.5);
Curve53 = Curve51.divideAt(0.5);
Sct1 = PipeSection(0.08, 0.01);
Sct1.setDefault();
Bm1 = StraightBeam(Point(4 m,0 m,1.7 m), Point(4.09 m,0 m,2 m));
Bm2 = StraightBeam(Point(0 m,4 m,1.7 m), Point(0 m,4.09 m,2 m));
Bm3 = StraightBeam(Point(-4 m,0 m,1.7 m), Point(-4.09 m,0 m,2 m));
Bm4 = StraightBeam(Point(0 m,-4 m,1.7 m), Point(0 m,-4.09 m,2 m));
Betong = MaterialLinear(4e+9, 2400 kg/m^3, 30e+9, 0.2, 1.2e-05 delC^-1, 0.03 N*s/m);
Glassfiber = MaterialLinear(125e+6, 2400 kg/m^3, 84.94e+9, 0.3, 1.2e-05 delC^-1, 0.03 N*s/m);
sandwich = Thickness(0.042);
betong = Thickness(0.32);
Delete(Pl38);
Delete(Pl37);
Pl36.thickness = betong;
Pl35.thickness = betong;
Betong.yield = 4e+6Pa;
betong_mat = MaterialLinear(4e+6, 2400 kg/m^3, 3e+10 Pa, 0.2, 1.2e-05 delC^-1, 0.03 N*s/m);
Pl36.material = betong_mat;
Pl35.material = betong_mat;
Pl1.thickness = sandwich;
Pl2.thickness = sandwich;
Pl26.thickness = sandwich;
Pl4.thickness = sandwich;
Pl5.thickness = sandwich;
Pl6.thickness = sandwich;
Pl8.thickness = sandwich;
Pl9.thickness = sandwich;
Pl10.thickness = sandwich;
Pl11.thickness = sandwich;
Pl12.thickness = sandwich;
Pl13.thickness = sandwich;
Pl14.thickness = sandwich;
Pl15.thickness = sandwich;
Pl16.thickness = sandwich;
Pl17.thickness = sandwich;
Pl33.thickness = sandwich;
Pl20.thickness = sandwich;
Pl21.thickness = sandwich;
Pl22.thickness = sandwich;
Pl28.thickness = sandwich;
Pl25.thickness = sandwich;
Pl34.thickness = sandwich;
Pl32.thickness = sandwich;
Pl30.thickness = sandwich;
Pl1.material = Glassfiber;
Pl2.material = Glassfiber;
Pl26.material = Glassfiber;
Pl4.material = Glassfiber;
Pl5.material = Glassfiber;
Pl6.material = Glassfiber;
Pl8.material = Glassfiber;
Pl9.material = Glassfiber;
Pl10.material = Glassfiber;
Pl11.material = Glassfiber;
Pl12.material = Glassfiber;
Pl13.material = Glassfiber;
Pl14.material = Glassfiber;
Pl15.material = Glassfiber;
Pl16.material = Glassfiber;
Pl17.material = Glassfiber;
Pl33.material = Glassfiber;
Pl20.material = Glassfiber;
Pl21.material = Glassfiber;
Pl22.material = Glassfiber;
Pl28.material = Glassfiber;
Pl25.material = Glassfiber;
Pl34.material = Glassfiber;
Pl32.material = Glassfiber;
Pl30.material = Glassfiber;
tmpArrayOfCurves = JoinMultipleCurves(Array(Curve47, Curve53), true);
Rename(tmpArrayOfCurves[0], "Curve53");
tmpArrayOfCurves = JoinMultipleCurves(Array(Curve51, Curve53), true);
Rename(tmpArrayOfCurves[0], "Curve53");
tmpArrayOfCurves = JoinMultipleCurves(Array(Curve52, Curve53), true);
Rename(tmpArrayOfCurves[0], "Curve53");
Pl39 = CoverCurves(Curve46,Curve53);
Pl39.flipNormal();
Pl40 = CoverCurves(Curve44,Curve45);
Pl40.flipNormal();
Tck3 = Thickness(0.001);
Pl39.thickness = Tck3;
Pl40.thickness = Tck3;
dummy = MaterialLinear(4e+6, 1 kg/m^3, 3e+10 Pa, 0.2, 1.2e-05 delC^-1, 0.03 N*s/m);
Pl39.material = dummy;
Pl40.material = dummy;
// GeniE V7.14-05 64bit ended 19-May-2021 13:42:45
// GeniE V7.14-05 64bit started 19-May-2021 13:42:45
GuidePlane5 = GuidePlane(Point(-3 m,-7.5 m,12.7 m),Point(3 m,-7.5 m,12.7 m),Point(3 m,-7.5 m,16.7 m),Point(-3 m,-7.5 m,16.7 m),4,4,1,1,1,1,1,1,1,1);
GuidePlane5.snapmode = true;
GuidePlane6 = GuidePlane5.copyTranslate(Vector3d(0 m,-0.95 m,0m));
autoMSet = Set();
autoMSet.clear();
autoMSet.add(GuidePlane5);
autoMSet.moveTranslate(Vector3d(0 m,0.95 m,0m),geUNCONNECTED);
Delete(autoMSet);
autoMSet = Set();
autoMSet.clear();
autoMSet.add(GuidePlane6);
autoMSet.moveTranslate(Vector3d(0 m,-0.1 m,0m),geUNCONNECTED);
Delete(autoMSet);
autoMSet = Set();
autoMSet.clear();
autoMSet.add(GuidePlane6);
autoMSet.moveTranslate(Vector3d(0 m,0.2 m,0m),geUNCONNECTED);
Delete(autoMSet);
Curve54 = CreateLineTwoPoints(Point(-3 m,-8.35 m,16.7 m), Point(3 m,-8.35 m,16.7 m));
Curve55 = CreateLineTwoPoints(Point(3 m,-8.35 m,16.7 m), Point(3 m,-8.35 m,12.7 m));
Curve56 = CreateLineTwoPoints(Point(-3 m,-8.35 m,16.7 m), Point(-3 m,-8.35 m,12.7 m));
Curve57 = CreateLineTwoPoints(Point(-3 m,-8.35 m,12.7 m), Point(3 m,-8.35 m,12.7 m));
Curve58 = CreateLineTwoPoints(Point(-3 m,-6.55 m,16.7 m), Point(3 m,-6.55 m,16.7 m));
Curve59 = CreateLineTwoPoints(Point(3 m,-6.55 m,16.7 m), Point(3 m,-6.55 m,12.7 m));
Curve60 = CreateLineTwoPoints(Point(3 m,-6.55 m,12.7 m), Point(-3 m,-6.55 m,12.7 m));
Curve61 = CreateLineTwoPoints(Point(-3 m,-6.55 m,12.7 m), Point(-3 m,-6.55 m,16.7 m));
Curve62 = CreateLineTwoPoints(Point(-3 m,-8.35 m,16.7 m), Point(-3 m,-6.55 m,16.7 m));
Curve63 = CreateLineTwoPoints(Point(3 m,-8.35 m,16.7 m), Point(3 m,-6.55 m,16.7 m));
Delete(Curve55);
Delete(Curve56);
Delete(Curve57);
Delete(Curve62);
Delete(Curve63);
autoMSet = Set();
autoMSet.clear();
autoMSet.add(GuidePlane5);
autoMSet.add(Curve58);
autoMSet.add(Curve59);
autoMSet.add(Curve60);
autoMSet.add(Curve61);
autoMSet.moveTranslate(Vector3d(0 m,-0.3 m,0m),geUNCONNECTED);
Delete(autoMSet);
Curve64 = CreateLineTwoPoints(Point(3 m,-8.35 m,16.7 m), Point(3 m,-8.35 m,19.78 m));
Curve64.spacings(Array(1, 1, 1, 1));
Delete(Curve64);
Curve65 = CreateLineTwoPoints(Point(3 m,-8.35 m,16.7 m), Point(3 m,-8.35 m,13.62 m));
Curve65.spacings(Array(1, 1, 1, 1));
Delete(Curve59);
Delete(Curve60);
Delete(Curve65);
Curve66 = CreateLineTwoPoints(Point(3 m,-6.85 m,16.7 m), Point(3 m,-6.85 m,13.62 m));
Curve66.spacings(Array(1, 1, 1, 1));
Delete(Curve61);
Curve67 = CreateLineTwoPoints(Point(-3 m,-6.85 m,16.7 m), Point(-3 m,-6.85 m,13.62 m));
Curve67.spacings(Array(1, 1, 1, 1));
Curve68 = CreateLineTwoPoints(Point(3 m,-8.35 m,16.7 m), Point(3 m,-8.35 m,14.5 m));
Curve68.spacings(Array(1, 1, 1, 1));
Curve69 = CreateLineTwoPoints(Point(-3 m,-8.35 m,16.7 m), Point(-3 m,-8.35 m,14.5 m));
Curve69.spacings(Array(1, 1, 1, 1));
Curve70 = CreateLineTwoPoints(Point(3 m,-8.35 m,14.5 m), Point(3 m,-6.85 m,13.62 m));
Curve71 = CreateLineTwoPoints(Point(-3 m,-8.35 m,14.5 m), Point(3 m,-8.35 m,14.5 m));
Curve72 = CreateLineTwoPoints(Point(-3 m,-8.35 m,14.5 m), Point(-3 m,-6.85 m,13.62 m));
Curve73 = CreateLineTwoPoints(Point(-3 m,-8.35 m,16.7 m), Point(-3 m,-6.85 m,16.7 m));
Curve74 = CreateLineTwoPoints(Point(3 m,-8.35 m,16.7 m), Point(3 m,-6.85 m,16.7 m));
Pl41 = CoverCurves(Curve73,Curve54,Curve58,Curve74);
Pl42 = CoverCurves(Curve73,Curve72,Curve69,Curve67);
Pl42.flipNormal();
Pl43 = CoverCurves(Curve54,Curve71,Curve69,Curve68);
Pl44 = CoverCurves(Curve68,Curve70,Curve66,Curve74);
Pl44.flipNormal();
Curve75 = CreateLineTwoPoints(Point(-3 m,-6.85 m,13.62 m), Point(3 m,-6.85 m,13.62 m));
Pl45 = CoverCurves(Curve72,Curve71,Curve70,Curve75);
Pl45.flipNormal();
Validate(Pl26.primitivePartCount == 2);
Pl26.explode(IndexedNameMask(46));
Validate(Pl46);
Validate(Pl47);
Validate(Pl22.primitivePartCount == 3);
Pl22.explode(IndexedNameMask(48));
Validate(Pl48);
Validate(Pl49);
Validate(Pl50);
Validate(Pl42.primitivePartCount == 2);
Pl42.explode(IndexedNameMask(51));
Validate(Pl51);
Validate(Pl52);
Validate(Pl44.primitivePartCount == 2);
Pl44.explode(IndexedNameMask(53));
Validate(Pl53);
Validate(Pl54);
Validate(Pl45.primitivePartCount == 2);
Pl45.explode(IndexedNameMask(55));
Validate(Pl55);
Validate(Pl56);
Delete(Pl56);
Delete(Curve73);
Delete(Curve72);
Delete(Curve70);
Delete(Curve74);
Delete(Pl41);
Delete(Pl53);
Delete(Pl51);
Delete(Pl55);
autoMSet = Set();
autoMSet.clear();
autoMSet.add(Curve54);
autoMSet.add(Curve71);
autoMSet.add(Curve69);
autoMSet.add(Curve68);
autoMSet.add(Pl43);
autoMSet.moveTranslate(Vector3d(0 m,0.55 m,0m),geUNCONNECTED);
Delete(autoMSet);
Delete(GuidePlane6);
Curve76 = CreateLineTwoPoints(Point(-3 m,-7.8 m,14.5 m), Point(-3 m,-6.85 m,13.62 m));
Curve77 = CreateLineTwoPoints(Point(3 m,-7.8 m,14.5 m), Point(3 m,-6.85 m,13.62 m));
Pl51 = CoverCurves(Curve76,Curve71,Curve77,Curve75);
Pl51.flipNormal();
Curve78 = CreateLineTwoPoints(Point(3 m,-7.8 m,16.7 m), Point(3 m,-6.85 m,16.7 m));
Pl53 = CoverCurves(Curve68,Curve78,Curve66,Curve77);
Pl53.flipNormal();
Curve79 = CreateLineTwoPoints(Point(-3 m,-6.85 m,16.7 m), Point(-3 m,-7.8 m,16.7 m));
Pl55 = CoverCurves(Curve54,Curve79,Curve58,Curve78);
Pl55.flipNormal();
Pl56 = CoverCurves(Curve76,Curve79,Curve69,Curve67);
Pl56.flipNormal();
Validate(Pl50.primitivePartCount == 2);
Pl50.explode(IndexedNameMask(57));
Validate(Pl57);
Validate(Pl58);
Validate(Pl48.primitivePartCount == 2);
Pl48.explode(IndexedNameMask(59));
Validate(Pl59);
Validate(Pl60);
Validate(Pl51.primitivePartCount == 2);
Pl51.explode(IndexedNameMask(61));
Validate(Pl61);
Validate(Pl62);
Delete(Pl61);
MyModelTransformerMap = ObjectNameMap();
MyModelTransformerMap.Add(Pl43, "Pl61");
MyModelTransformerMap.Add(Pl53, "Pl63");
MyModelTransformerMap.Add(Pl55, "Pl64");
MyModelTransformerMap.Add(Pl56, "Pl65");
MyModelTransformerMap.Add(Pl62, "Pl66");
ModelTransformer(MyModelTransformerMap).copyRotate(Point(0 m,0 m,19.1 m), Vector3d(0,0,1), 180);
// GeniE V7.14-05 64bit ended 19-May-2021 14:38:39
// GeniE V7.14-05 64bit started 19-May-2021 14:38:39
Pl43.thickness = sandwich;
Pl53.thickness = sandwich;
Pl62.thickness = sandwich;
Pl55.thickness = sandwich;
Pl56.thickness = sandwich;
Pl43.material = Glassfiber;
Pl53.material = Glassfiber;
Pl62.material = Glassfiber;
Pl55.material = Glassfiber;
Pl56.material = Glassfiber;
Pl64.thickness = sandwich;
Pl66.thickness = sandwich;
Pl65.thickness = sandwich;
Pl63.thickness = sandwich;
Pl61.thickness = sandwich;
Pl64.material = Glassfiber;
Pl66.material = Glassfiber;
Pl65.material = Glassfiber;
Pl63.material = Glassfiber;
Pl61.material = Glassfiber;
Validate(Pl49.primitivePartCount == 2);
Pl49.explode(IndexedNameMask(67));
Validate(Pl67);
Validate(Pl68);
wet_surface_riktig = Set();
wet_surface_riktig.add(Bm1);
wet_surface_riktig.add(Bm2);
wet_surface_riktig.add(Bm3);
wet_surface_riktig.add(Bm4);
wet_surface_riktig.add(Pl10);
wet_surface_riktig.add(Pl11);
wet_surface_riktig.add(Pl12);
wet_surface_riktig.add(Pl13);
wet_surface_riktig.add(Pl14);
wet_surface_riktig.add(Pl15);
wet_surface_riktig.add(Pl16);
wet_surface_riktig.add(Pl17);
wet_surface_riktig.add(Pl28);
wet_surface_riktig.add(Pl30);
wet_surface_riktig.add(Pl32);
wet_surface_riktig.add(Pl33);
wet_surface_riktig.add(Pl34);
wet_surface_riktig.add(Pl35);
wet_surface_riktig.add(Pl36);
wet_surface_riktig.add(Pl39);
wet_surface_riktig.add(Pl40);
wet_surface_riktig.add(Pl43);
wet_surface_riktig.add(Pl53);
wet_surface_riktig.add(Pl56);
wet_surface_riktig.add(Pl57);
wet_surface_riktig.add(Pl60);
wet_surface_riktig.add(Pl61);
wet_surface_riktig.add(Pl62);
wet_surface_riktig.add(Pl63);
wet_surface_riktig.add(Pl65);
wet_surface_riktig.add(Pl66);
wet_surface_riktig.add(Pl68);
wet_surface_riktig.add(Pl8);
wet_surface_riktig.add(Pl9);
WS1 = WetSurface();
wet_surface_riktig.front.wetSurface = WS1;
LC1 = DummyHydroLoadCase(WS1);
MeshProperty1 = MeshDensity(0.2);
wet_surface_riktig.meshDensity = MeshProperty1;
GenieRules.Meshing.faceMeshStrategy = AdvancingFrontQuadMesher;
Analysis1 = Analysis(true);
Analysis1.add(MeshActivity());
Analysis1.add(LoadResultsActivity());
Analysis1.setActive();
Analysis1.step(1).subset = wet_surface_riktig;
Analysis1.step(1).step(1).execute();
Analysis1.step(1).step(2).execute();
SimplifyTopology();
Analysis1.step(1).step(4).execute();
Analysis1.step(2).execute();
SetNoLoadcase();
cm = CompartmentManager();
LC2 = LoadCase();
LC2.compartment(cm.compartment(Point(-0.09286344755 m,0.08646337496 m,0.7 m))).globalIntensity = DummyHydroPressure();
LC3 = LoadCase();
LC3.compartment(cm.compartment(Point(-4.70454326 m,-4.466463694 m,15.58552629 m))).globalIntensity = DummyHydroPressure();
Analysis2 = Analysis(true);
Analysis2.add(MeshActivity());
Analysis2.add(LoadResultsActivity());
Analysis2.setActive();
MeshProperty2 = MeshDensity(0.4);
Pl64.meshDensity = MeshProperty2;
Pl66.meshDensity = MeshProperty2;
Pl65.meshDensity = MeshProperty2;
Pl63.meshDensity = MeshProperty2;
Pl61.meshDensity = MeshProperty2;
Pl1.meshDensity = MeshProperty2;
Pl2.meshDensity = MeshProperty2;
Pl4.meshDensity = MeshProperty2;
Pl5.meshDensity = MeshProperty2;
Pl6.meshDensity = MeshProperty2;
Pl36.meshDensity = MeshProperty2;
Pl8.meshDensity = MeshProperty2;
Pl9.meshDensity = MeshProperty2;
Pl10.meshDensity = MeshProperty2;
Pl11.meshDensity = MeshProperty2;
Pl12.meshDensity = MeshProperty2;
Pl13.meshDensity = MeshProperty2;
Pl14.meshDensity = MeshProperty2;
Pl15.meshDensity = MeshProperty2;
Pl16.meshDensity = MeshProperty2;
Pl17.meshDensity = MeshProperty2;
Pl35.meshDensity = MeshProperty2;
Pl33.meshDensity = MeshProperty2;
Pl20.meshDensity = MeshProperty2;
Pl21.meshDensity = MeshProperty2;
Pl52.meshDensity = MeshProperty2;
Pl28.meshDensity = MeshProperty2;
Pl25.meshDensity = MeshProperty2;
Pl34.meshDensity = MeshProperty2;
Pl32.meshDensity = MeshProperty2;
Pl30.meshDensity = MeshProperty2;
Pl39.meshDensity = MeshProperty2;
Pl40.meshDensity = MeshProperty2;
Pl43.meshDensity = MeshProperty2;
Pl53.meshDensity = MeshProperty2;
Pl46.meshDensity = MeshProperty2;
Pl47.meshDensity = MeshProperty2;
Pl60.meshDensity = MeshProperty2;
Pl62.meshDensity = MeshProperty2;
Pl54.meshDensity = MeshProperty2;
Pl68.meshDensity = MeshProperty2;
Pl55.meshDensity = MeshProperty2;
Pl56.meshDensity = MeshProperty2;
Pl58.meshDensity = MeshProperty2;
Pl57.meshDensity = MeshProperty2;
Pl59.meshDensity = MeshProperty2;
Pl67.meshDensity = MeshProperty2;
Bm1.meshDensity = MeshProperty2;
Bm2.meshDensity = MeshProperty2;
Bm3.meshDensity = MeshProperty2;
Bm4.meshDensity = MeshProperty2;
GenieRules.Meshing.superElementType = 2;
Analysis2.step(1).step(1).execute();
Analysis2.step(1).step(2).execute();
SimplifyTopology();
Analysis2.step(1).step(4).execute();
Pl64.meshDensity = MeshProperty2;
Pl66.meshDensity = MeshProperty2;
Pl65.meshDensity = MeshProperty2;
Pl63.meshDensity = MeshProperty2;
Pl61.meshDensity = MeshProperty2;
Pl1.meshDensity = MeshProperty2;
Pl2.meshDensity = MeshProperty2;
Pl4.meshDensity = MeshProperty2;
Pl5.meshDensity = MeshProperty2;
Pl6.meshDensity = MeshProperty2;
Pl36.meshDensity = MeshProperty2;
Pl8.meshDensity = MeshProperty2;
Pl9.meshDensity = MeshProperty2;
Pl10.meshDensity = MeshProperty2;
Pl11.meshDensity = MeshProperty2;
Pl12.meshDensity = MeshProperty2;
Pl13.meshDensity = MeshProperty2;
Pl14.meshDensity = MeshProperty2;
Pl15.meshDensity = MeshProperty2;
Pl16.meshDensity = MeshProperty2;
Pl17.meshDensity = MeshProperty2;
Pl35.meshDensity = MeshProperty2;
Pl33.meshDensity = MeshProperty2;
Pl20.meshDensity = MeshProperty2;
Pl21.meshDensity = MeshProperty2;
Pl28.meshDensity = MeshProperty2;
Pl25.meshDensity = MeshProperty2;
Pl34.meshDensity = MeshProperty2;
Pl32.meshDensity = MeshProperty2;
Pl30.meshDensity = MeshProperty2;
Pl39.meshDensity = MeshProperty2;
Pl40.meshDensity = MeshProperty2;
Pl43.meshDensity = MeshProperty2;
Pl53.meshDensity = MeshProperty2;
Pl46.meshDensity = MeshProperty2;
Pl47.meshDensity = MeshProperty2;
Pl60.meshDensity = MeshProperty2;
Pl62.meshDensity = MeshProperty2;
Pl68.meshDensity = MeshProperty2;
Pl55.meshDensity = MeshProperty2;
Pl56.meshDensity = MeshProperty2;
Pl58.meshDensity = MeshProperty2;
Pl57.meshDensity = MeshProperty2;
Pl59.meshDensity = MeshProperty2;
Pl67.meshDensity = MeshProperty2;
Analysis2.step(1).step(2).execute();
SimplifyTopology();
Analysis2.step(1).step(4).execute();
Analysis2.step(2).execute();
Delete(Pl52);
Delete(Pl54);
SimplifyTopology();
Analysis2.step(1).step(4).execute();
Analysis2.step(2).execute();
Pl69 = Pl2.divide(YPlane3d(0));
Pl70 = Pl2.divide(XPlane3d(0));
Pl64.meshDensity = MeshProperty2;
Pl66.meshDensity = MeshProperty2;
Pl65.meshDensity = MeshProperty2;
Pl63.meshDensity = MeshProperty2;
Pl61.meshDensity = MeshProperty2;
Pl1.meshDensity = MeshProperty2;
Pl2.meshDensity = MeshProperty2;
Pl4.meshDensity = MeshProperty2;
Pl5.meshDensity = MeshProperty2;
Pl6.meshDensity = MeshProperty2;
Pl36.meshDensity = MeshProperty2;
Pl8.meshDensity = MeshProperty2;
Pl9.meshDensity = MeshProperty2;
Pl10.meshDensity = MeshProperty2;
Pl11.meshDensity = MeshProperty2;
Pl12.meshDensity = MeshProperty2;
Pl13.meshDensity = MeshProperty2;
Pl14.meshDensity = MeshProperty2;
Pl15.meshDensity = MeshProperty2;
Pl16.meshDensity = MeshProperty2;
Pl17.meshDensity = MeshProperty2;
Pl35.meshDensity = MeshProperty2;
Pl33.meshDensity = MeshProperty2;
Pl20.meshDensity = MeshProperty2;
Pl21.meshDensity = MeshProperty2;
Pl70.meshDensity = MeshProperty2;
Pl28.meshDensity = MeshProperty2;
Pl25.meshDensity = MeshProperty2;
Pl34.meshDensity = MeshProperty2;
Pl32.meshDensity = MeshProperty2;
Pl30.meshDensity = MeshProperty2;
Pl39.meshDensity = MeshProperty2;
Pl40.meshDensity = MeshProperty2;
Pl43.meshDensity = MeshProperty2;
Pl53.meshDensity = MeshProperty2;
Pl46.meshDensity = MeshProperty2;
Pl47.meshDensity = MeshProperty2;
Pl60.meshDensity = MeshProperty2;
Pl62.meshDensity = MeshProperty2;
Pl69.meshDensity = MeshProperty2;
Pl68.meshDensity = MeshProperty2;
Pl55.meshDensity = MeshProperty2;
Pl56.meshDensity = MeshProperty2;
Pl58.meshDensity = MeshProperty2;
Pl57.meshDensity = MeshProperty2;
Pl59.meshDensity = MeshProperty2;
Pl67.meshDensity = MeshProperty2;
Analysis2.step(1).step(2).execute();
SimplifyTopology();
Analysis2.step(1).step(4).execute();
Analysis2.step(2).execute();
// GeniE V7.14-05 64bit ended 19-May-2021 15:30:23
// GeniE V7.14-05 64bit started 20-May-2021 12:05:35
Analysis1.setActive();
LC1.setCurrent();
Analysis1.step(1).step(2).execute();
Analysis1.step(1).step(3).execute();
SimplifyTopology();
Analysis1.step(1).step(4).execute();
Analysis1.step(2).execute();
// GeniE V7.14-05 64bit ended 20-May-2021 13:01:01
// GeniE V7.14-05 64bit started 21-May-2021 10:51:29
// GeniE V7.14-05 64bit ended 21-May-2021 11:34:08
// GeniE V7.14-05 64bit started 21-May-2021 14:55:23
Delete(Pl43);
Delete(Pl53);
Delete(Pl60);
Delete(Pl62);
Delete(Pl56);
Delete(Pl57);
Delete(Pl55);
Delete(Pl30);
Delete(Pl46);
Delete(Pl47);
Delete(Pl68);
Delete(Pl58);
Delete(Pl59);
Delete(wet_surface_riktig);
Delete(Curve38);
Curve2 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,16.7 m), Vector3d(0 m,0 m,2.4 m), 7.14 m);
Delete(GuidePlane5);
Delete(Curve54);
Delete(Curve76);
Delete(Curve79);
Delete(Curve71);
Delete(Curve58);
Delete(Curve69);
Delete(Curve68);
Delete(Curve67);
Delete(Curve78);
Delete(Curve66);
Delete(Curve77);
Delete(Curve75);
Curve3 = CreateCircleFromPlaneAndRadius(Point(0 m,0 m,12.7 m), Vector3d(0 m,0 m,6.4 m), 7.14 m);
Delete(Curve39);
Pl3 = CoverCurves(Curve2,Curve3);
Pl7 = CoverCurves(Curve3);
Pl7.flipNormal();
Pl18 = CoverCurves(Curve2);
autoMSet = Set();
autoMSet.clear();
autoMSet.add(Pl64);
autoMSet.add(Pl66);
autoMSet.add(Pl65);
autoMSet.add(Pl63);
autoMSet.add(Pl61);
autoMSet.add(Pl67);
autoMSet.moveTranslate(Vector3d(0 m,-0.41 m,0 m),geUNCONNECTED);
Delete(autoMSet);
Validate(Pl66.primitivePartCount == 2);
Pl66.explode(IndexedNameMask(22));
Validate(Pl22);
Validate(Pl23);
Validate(Pl65.primitivePartCount == 2);
Pl65.explode(IndexedNameMask(26));
Validate(Pl26);
Validate(Pl27);
Validate(Pl63.primitivePartCount == 2);
Pl63.explode(IndexedNameMask(29));
Validate(Pl29);
Validate(Pl30);
Validate(Pl28.primitivePartCount == 2);
Pl28.explode(IndexedNameMask(37));
Validate(Pl37);
Validate(Pl38);
Validate(Pl25.primitivePartCount == 2);
Pl25.explode(IndexedNameMask(41));
Validate(Pl41);
Validate(Pl42);
Validate(Pl7.primitivePartCount == 2);
Pl7.explode(IndexedNameMask(24));
Validate(Pl24);
Validate(Pl25);
Validate(Pl18.primitivePartCount == 3);
Pl18.explode(IndexedNameMask(43));
Validate(Pl43);
Validate(Pl44);
Validate(Pl45);
Validate(Pl3.primitivePartCount == 2);
Pl3.explode(IndexedNameMask(46));
Validate(Pl46);
Validate(Pl47);
Delete(Pl44);
Delete(Pl25);
Delete(Pl29);
Delete(Pl26);
Delete(Pl22);
Pl45.join(Pl64);
MyModelTransformerMap = ObjectNameMap();
MyModelTransformerMap.Add(Pl23, "Pl19");
MyModelTransformerMap.Add(Pl27, "Pl22");
MyModelTransformerMap.Add(Pl30, "Pl25");
MyModelTransformerMap.Add(Pl45, "Pl26");
MyModelTransformerMap.Add(Pl61, "Pl28");
ModelTransformer(MyModelTransformerMap).copyRotate(Point(0,0,0), Vector3d(0,0,1), 180);
// GeniE V7.14-05 64bit ended 21-May-2021 15:07:29
// GeniE V7.14-05 64bit started 21-May-2021 15:07:29
external_surfaces = Set();
external_surfaces.add(Bm1);
external_surfaces.add(Bm2);
external_surfaces.add(Bm3);
external_surfaces.add(Bm4);
external_surfaces.add(Pl10);
external_surfaces.add(Pl11);
external_surfaces.add(Pl12);
external_surfaces.add(Pl13);
external_surfaces.add(Pl14);
external_surfaces.add(Pl15);
external_surfaces.add(Pl16);
external_surfaces.add(Pl17);
external_surfaces.add(Pl19);
external_surfaces.add(Pl22);
external_surfaces.add(Pl23);
external_surfaces.add(Pl24);
external_surfaces.add(Pl25);
external_surfaces.add(Pl27);
external_surfaces.add(Pl28);
external_surfaces.add(Pl30);
external_surfaces.add(Pl32);
external_surfaces.add(Pl33);
external_surfaces.add(Pl34);
external_surfaces.add(Pl35);
external_surfaces.add(Pl36);
external_surfaces.add(Pl37);
external_surfaces.add(Pl39);
external_surfaces.add(Pl40);
external_surfaces.add(Pl46);
external_surfaces.add(Pl61);
external_surfaces.add(Pl8);
external_surfaces.add(Pl9);
Validate(Pl46.primitivePartCount == 3);
Pl46.explode(IndexedNameMask(48));
Validate(Pl48);
Validate(Pl49);
Validate(Pl50);
Delete(external_surfaces);
external_surfaces = Set();
external_surfaces.add(Bm1);
external_surfaces.add(Bm2);
external_surfaces.add(Bm3);
external_surfaces.add(Bm4);
external_surfaces.add(Pl10);
external_surfaces.add(Pl11);
external_surfaces.add(Pl12);
external_surfaces.add(Pl13);
external_surfaces.add(Pl14);
external_surfaces.add(Pl15);
external_surfaces.add(Pl16);
external_surfaces.add(Pl17);
external_surfaces.add(Pl19);
external_surfaces.add(Pl22);
external_surfaces.add(Pl23);
external_surfaces.add(Pl24);
external_surfaces.add(Pl25);
external_surfaces.add(Pl27);
external_surfaces.add(Pl28);
external_surfaces.add(Pl30);
external_surfaces.add(Pl32);
external_surfaces.add(Pl33);
external_surfaces.add(Pl34);
external_surfaces.add(Pl35);
external_surfaces.add(Pl36);
external_surfaces.add(Pl37);
external_surfaces.add(Pl39);
external_surfaces.add(Pl40);
external_surfaces.add(Pl49);
external_surfaces.add(Pl61);
external_surfaces.add(Pl8);
external_surfaces.add(Pl9);
external_surfaces.front.wetSurface = WS1;
external_surfaces.meshDensity = MeshProperty1;
Analysis1.step(1).subset = external_surfaces;
LC4 = LoadCase();
LC4.compartment(cm.compartment(Point(-4.572655674 m,-4.340945456 m,15.58907016 m))).globalIntensity = DummyHydroPressure();
Delete(LC2);
Delete(LC3);
LC5 = LoadCase();
LC5.compartment(cm.compartment(Point(-0.09286344755 m,0.08646337496 m,0.7 m))).globalIntensity = DummyHydroPressure();
Analysis2.setActive();
Analysis2.step(1).step(2).execute();
SimplifyTopology();
Analysis2.step(1).step(4).execute();
Analysis2.step(2).execute();
Pl50.thickness = sandwich;
Pl48.thickness = sandwich;
Pl43.thickness = sandwich;
Pl24.thickness = sandwich;
Pl49.thickness = sandwich;
Pl50.material = Glassfiber;
Pl48.material = Glassfiber;
Pl43.material = Glassfiber;
Pl24.material = Glassfiber;
Pl49.material = Glassfiber;
SimplifyTopology();
Analysis2.step(1).step(4).execute();
Analysis2.step(2).execute();
LC1.setCurrent();
Analysis1.setActive();
Analysis1.step(1).step(2).execute();
SimplifyTopology();
Analysis1.step(1).step(4).execute();
Analysis1.step(1).step(2).execute();
SimplifyTopology();
Analysis1.step(1).step(4).execute();
Analysis1.step(2).execute();
// GeniE V7.14-05 64bit ended 21-May-2021 15:35:11
